Skip to main content
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
payment-intent
Create a payment intent
curl --request POST \
  --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/payment-intent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "destination": {
    "currency": "<string>",
    "details": "<unknown>",
    "payment_rail": "<string>"
  },
  "source": {
    "currency": "<string>",
    "details": "<unknown>",
    "payment_rail": "<string>"
  },
  "fee_config": {
    "payer_address": "<string>",
    "self_managed_fees": true
  }
}
'
{
  "amount": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "currency": "<string>",
  "destination": "<unknown>",
  "id": "<string>",
  "payment_rail": "<string>",
  "source": "<unknown>",
  "status": "<string>",
  "transaction_signers": [
    "<string>"
  ],
  "valid_until": "2023-11-07T05:31:56Z",
  "fee": {
    "amount": "<string>",
    "amount_decimal": "<string>",
    "sol_equivalent": {
      "amount": "<string>",
      "amount_decimal": "<string>"
    }
  },
  "kms_payloads": [
    {
      "address": "<string>",
      "payload": "<string>"
    }
  ],
  "source_deposit_instructions": "<unknown>",
  "threshold": 123,
  "transaction": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.squads.so/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Path Parameters

address
string
required

Smart account address

Body

application/json
amount
string
required
destination
object
required
source
object
required
fee_config
object

Response

Payment intent created successfully

amount
string
required
created_at
string<date-time>
required
currency
string
required
destination
any
required
id
string
required
payment_rail
string
required
source
any
required
status
string
required
transaction_signers
string[]
required
valid_until
string<date-time>
required
fee
object
kms_payloads
object[]
source_deposit_instructions
any
threshold
integer<int32> | null
transaction
string | null